/* -*- coding:utf-8; mode:c++; -*- */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "histogram.hxx"

#include <cassert>
#include <cmath>

namespace msc
{

    double binwidth_scott_normal_reference(const std::size_t n, const double stdev)
    {
        assert(n > 0);
        assert(stdev > 0.0);
        return 3.5 * stdev / std::pow(n, 1.0 / 3.0);
    }

}  // namespace msc
