/* -*- coding:utf-8; mode:c++; -*- */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "logging.hxx"

#include <cstdio>

namespace msc::detail_logging
{

    int log(const int level, const char *const filename, const int lineno, const char *const format, ...)
    {
        const auto message = format;  // TODO: Actually sprintf() the parameters into this string!
        return std::fprintf(stderr, "%2d: %s:%d: %s\n", level, filename, lineno, message);
    }

}  // namespace msc::detail_logging
