/* -*- coding:utf-8; mode:c++; -*- */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "meta.hxx"

#include "file.hxx"
#include "iosupp.hxx"
#include "json.hxx"

namespace msc
{

    void print_meta(const json_object& info, const output_file& dst)
    {
        auto stream = boost::iostreams::filtering_ostream{};
        const auto name = prepare_stream(stream, dst);
        if (!(stream << info << std::endl)) {
            report_io_error(name, "Cannot write JSON meta data data");
        }
    }

}  // namespace msc
