/* -*- coding:utf-8; mode:c++; -*- */

/**
 * @file ogdf_fwd.hxx
 *
 * @brief
 *     Forward declarations for frequently used interface-types from the OGDF.
 *
 */

#ifndef MSC_OGDF_FWD_HXX
#define MSC_OGDF_FWD_HXX

/**
 * @brief
 *     Forward declarations for frequently used interface-types from the OGDF.
 *
 */
namespace ogdf
{

    class Graph;
    class GraphAttributes;

    class NodeElement;
    class EdgeElement;

    typedef NodeElement* node;
    typedef EdgeElement* edge;

}  // namespace ogdf

#endif  // !defined(MSC_OGDF_FWD_HXX)
