/* -*- coding:utf-8; mode:c++; -*- */

#ifndef MSC_INCLUDED_FROM_RDF_HXX
#  error "Never `#include <rdf.txx>` directly, `#include <rdf.hxx>` instead"
#endif

#include "point.hxx"

namespace msc
{

    namespace detail_rdf
    {
    }  // namespace detail_rdf

    inline double node_distance::operator()(const ogdf::node v1, const ogdf::node v2) const noexcept
    {
        const auto p1 = point2d{_attrs->x(v1), _attrs->y(v1)};
        const auto p2 = point2d{_attrs->x(v2), _attrs->y(v2)};
        return distance(p1, p2);
    }

}  // namespace msc
