#! /usr/bin/cmake -P
#! -*- coding:utf-8; mode:cmake; -*-

FILE(GLOB garbage_files
    "*.aux"
    "*.bbl"
    "*.bcf"
    "*.blg"
    "*.cfg"
    "*.idx"
    "*.ilg"
    "*.ind"
    "*.lof"
    "*.log"
    "*.lot"
    "*.out"
    "*.run.xml"
    "*.stamp"
    "*.toc"
    "*.upa"
    "*.upb"
)

LIST(LENGTH garbage_files garbage_file_count)
MESSAGE(STATUS "There are ${garbage_file_count} garbage files")

IF(${garbage_file_count} GREATER 0)
    FOREACH(item ${garbage_files})
        MESSAGE(STATUS "Deleting garbage file ${item}")
    ENDFOREACH(item)
    FILE(REMOVE ${garbage_files})
ENDIF()
