/* -*- coding:utf-8; mode:c++; -*- */

#ifndef MSC_INCLUDED_FROM_LOGGING_HXX
#  error "Never `#include <logging.txx>` directly, `#include <logging.hxx>` instead"
#endif

namespace msc
{

    namespace detail_logging
    {

        constexpr int copy_int(const int d) noexcept
        {
            return d;
        }

        int log(int level, const char* filename, int lineno, const char* format, ...)
            __attribute__((format (__printf__, 4, 5)));

    }  // namespace detail_logging

}  // namespace msc
